#=========================================================================
# Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
#
# Name - system.conf
#
# Purpose - Default System-wide Configuration File
#
# 	As this file is shipped, all default configuration options are
#	commented out.  Configuration options without a default have
#	a definition here.  All options also include a short explanation of
#	purpose.
#
#	Note:  Configuration option strings are case-INSENSITIVE.
#
#	Note 2:  In general, this file is read ONCE by an application at
#	         initialization.
#
#	Note 3:  Certain options accept a list, i.e., of integers or strings.
#		 These options allow list elements to be omitted, e.g.,
#
#			DBF_EXTENT_SIZES = 1999, , 1999;
#
#	Note 4:  If an option is defined more than once, the last definition
#		 is used.
#
#	Note 5:  [bug4419] Stone (the database monitor) appends to this file
#		 whenever database extents or sizes are dynamically altered.
#
#		 If you are adding extents to a database, this has the
#		 unfortunate effect of making this file expand at a rate
#		 proportional to the square of the number of extents.  This in
#		 turn may make executables run very slowly, as the parse a
#		 VERY large config file.
#
#		 If you are adding a large number of extents, you may wish
#		 to stop the stone, modify DBF_EXTENT_NAMES, and
#                DBF_EXTENT_SIZES, by hand, and then restart it.  This
#		 will keep the size of this file from going out of control.
#
# $Id: config.unix,v 1.57 2008-01-09 22:50:40 stever Exp $
#
#=========================================================================

#=========================================================================
#  Usage of options 
#
#  Unless the option name begins with "GEM_" or unless the comments state
#   "Used by all executables",  the option is processed only by stone.
#
#  For options which affect all database sessions but which are only processed
#  by stone, the other executables will obtain the value of that option from
#  stone via a TCP/IP connection to stone.

#=========================================================================
# DBF_ALLOCATION_MODE:  Description of space allocation heuristic to be used
#  when filling DBF extents. 
#  Permissible values: either SEQUENTIAL, or a series of allocation weights,
#    separated by commas, each weight corresponding to each extent in the
#    series of extents specified in DBF_EXTENT_NAMES. 
#  If used, allocation weights must be integers >= 1 and <= 40  .
# Default: SEQUENTIAL
#DBF_ALLOCATION_MODE = SEQUENTIAL;

#=========================================================================
# DBF_EXTENT_NAMES:  List of all DBF extents, in order, primary extent first,
#  separated by commas.
# Default: NONE -- stone will not run without an extent list defined.
# A value for this option is provided at the end of this file.

#=========================================================================
# DBF_EXTENT_SIZES: List of maximum sizes of all DBF extents, in order, 
#  primary extent first, separated by commas, each size applies to  the
#  corresponding extent in the list of extents specified in DBF_EXTENT_NAMES.
#
#  The sizes are in units of Megabytes (1 Megabyte = 1048576 bytes),
#  minimum value 1, maximum value 33554432
#
#  For optimal performance using a raw Unix disk partition, this setting should 
#  be slightly smaller than the actual size of the partition.
#
# Default: empty (no maximum sizes, extent can grow until disk fills)
#DBF_EXTENT_SIZES = ;

#=========================================================================
# DBF_PRE_GROW:  Pre-grow all new DBF extents to maximum size allowed.
#  Warning: This can fill your disk partition if the DBF extent is a file!
# Default:  FALSE
#DBF_PRE_GROW = FALSE;

#=========================================================================
# DBF_SCRATCH_DIR:  A scratch directory that the stone process can use to
#  create "scratch" DBFs, used during pageaudit and page repair.  The file
#  name is appended to the directory name WITHOUT an intervening delimiter,
#  so a trailing delimiter is necessary here.
# Default: $GEMSTONE/data/
#DBF_SCRATCH_DIR = $GEMSTONE/data/;

#=========================================================================
# DUMP_OPTIONS:  Dump summary of all configuration options applicable to
#  the executable reading the config file.
#
#  Used by all executables.
# Default: TRUE
#DUMP_OPTIONS = TRUE;

#=========================================================================
# GEM_FREE_FRAME_CACHE_SIZE
#
#  Determines the size of the gem's free frame cache.  When using the
#  free frame cache, the gem removes enough frames from the free frame
#  list to refill the cache in a single operation.  When adding frames to
#  the free list, the gem will not add them to the list until the free 
#  frame cache is full.
#
#  A value of 0 disables the free frame cache (the gem acquires frames one
#  at a time).  A value of -1 means use the default value.  The default is
#  0 for caches less than 100 MB and 10 for caches of 100 MB or greater
#  size.
#  
# Units: Frames, Min: -1, Max: 63
# Default: -1
#GEM_FREE_FRAME_CACHE_SIZE = -1;

#=========================================================================
# GEM_FREE_FRAME_LIMIT:  When the number of free frames in the shared
#  page cache is less than this limit, the Gem will scan the cache for
#  a free frame rather than use one from the free frame list (to allow
#  the Stone process to use the remaining free frames).  
#
#  If the value of the parameter is -1, the free frame limit is set to a
#  default value.  For caches up to and including 400 MB (50,000 frames),
#  the default is one tenth the cache size.  For caches larger than 400 MB,
#  the default is 5000 frames.  On remote shared page caches, the default
#  is zero for all cache size.
#  
#  Runtime equivalent: #GemFreeFrameLimit
#  Default: see above, min: -1, max: 65536
#GEM_FREE_FRAME_LIMIT = -1;

#=========================================================================
# GEM_GCI_LOG_ENABLED
#
#  HAS NO EFFECT in customer executables. 
#
#  Enable transaction logging of Gci calls to a separate GCI transaction log
#  owned by the gem.  This can seriously affect Gci performance, and is
#  provided for debugging referential integrity problems caused by
#  bugs in language interfaces.  These logs cannot be used for restore
#  or recovery of transactions.  They are only readable by pgsvr for
#  debugging purposes.  Default is FALSE, to enable logging use TRUE .
#GEM_GCI_LOG_ENABLED = FALSE;
#
#  The following parameters must be explicitly defined 
#  if  GEM_GCI_LOG_ENABLED is TRUE
#GEM_GCI_LOG_PREFIX=tranlogGci;
#GEM_GCI_LOG_DIRECTORIES = ./, ./;
#GEM_GCI_LOG_SIZES = 100, 100;

#=========================================================================
# GEM_HALT_ON_ERROR
# Cause Gem to halt and dump core if an error with the specified 
# GemStone error number occurs.  The value 0 means "never halt".  
# Normally used only to assist GemStone Customer Support in diagnosing problems.
#  Default: 0 
#GEM_HALT_ON_ERROR = 0;

#=========================================================================
# GEM_IO_LIMIT:  Limits I/O's for the gem to this number of I/O's per second
#  
#  Values greater than 1000 will result in I/O rates limited only by the
#  performance of the underlying file system or disk partitions.
# Runtime equivalent: #GemIOLimit
# Default: 5000, min: 1, max: 65536
#GEM_IO_LIMIT = 5000;

#=========================================================================
# GEM_KEEP_MIN_SOFTREFS
# The minimum number of most recently used SoftReferences  that will
# not be cleared by VM markSweep if startingMemUsed(see above) is
# less than 80%.   Most applications should leave this at 0 .
#
# Runtime equivalent: #GemKeepMinSoftRefs
# Default: 0
#   min: 0 max: 10000000
# GEM_KEEP_MIN_SOFTREFS = 0 ;

#=========================================================================
# GEM_MAX_SMALLTALK_STACK_DEPTH
#   Size of GemStone Smalltalk execution stack space allocated at GciLogin time,
#   in units of approximate number of method activations. 
#   Causes heap memory allocation of approximately 64 bytes per activation.
# Default: 1000 min: 100 max: 1000000
#GEM_MAX_SMALLTALK_STACK_DEPTH = 1000;

#=========================================================================
# GEM_PGSVR_FREE_FRAME_CACHE_SIZE
#
#  Determines the size of the free frame cache used by the gem's remote
#  page server.  Has no effect for gems local to the repository extents
#  (which do not have a page server).  When using a free frame cache, 
#  page server removes enough frames from the free frame list to refill
#  the cache in a single operation.  When adding frames to the free list,
#  the page server will not add them to the list until the free frame
#  cache is full.
#
#  A value of 0 disables the free frame cache (the page server acquires
#  frames one at a time).  A value of -1 means use the default value. 
#  The default is 0 for shared page caches less than 100 MB in size and
#  10 for caches of 100 MB or greater in size.
#  
# Units: Frames, Min: -1, Max: 63
# Default: -1
#GEM_PGSVR_FREE_FRAME_CACHE_SIZE = -1;

#=========================================================================
# GEM_PGSVR_FREE_FRAME_LIMIT:
#
#    Determines the free frame limit used by the gem's remote page server.
#    Has no effect for gems local to the repository extents (which do not
#    have a page server).
#
#    See GEM_FREE_FRAME_LIMIT for a description of free frame limits.
#
#    If the value of the parameter is -1, the free frame limit is set to
#    a default value.  For caches up to and including 400 MB (50,000 frames),
#    the default is one tenth the cache size.  For caches larger than 400 MB,
#    the default is 5000 frames.
#
#    The free frame limit of a page server may be tuned at runtime using
#    the following method:
#
#    System(C)>>#changeCacheSlotFreeFrameLimit: aSlot to: aValue
#
# Default: 1/10 cache size
# Min: -1  Max: 65536
#
#GEM_PGSVR_FREE_FRAME_LIMIT = -1;

#=========================================================================
# GEM_PGSVR_UPDATE_CACHE_ON_READ
#
#    Determines the read behavior of the gem's remote page server when
#    pages are read from disk.  If this option is set to TRUE, pages read
#    from disk are also added to the shared page cache on the page server's
#    host.  If this option is FALSE, pages read are not added to the page 
#    server's shared cache.
#
#    Has no effect for gems local to the repository extents (local gems 
#    do not have a page server).
#
# Runtime equivalent: #GemPgsvrUpdateCacheOnRead
# Default: FALSE
#GEM_PGSVR_UPDATE_CACHE_ON_READ = FALSE;

#=========================================================================
# GEM_PRIVATE_PAGE_CACHE_KB:  Size of gem's private page cache in K Bytes
#
# (default: 1000, min: 128, max: 524288)
#GEM_PRIVATE_PAGE_CACHE_KB = 1000 ;

#=========================================================================
# GEM_RPCGCI_TIMEOUT
#  Time in minutes after which lack of an Rpc Gci command will cause a Gem
#  to terminate.  Negative timeouts are not allowed.  Resolution of timeouts
#  is one half the specified timeout interval. 
#  Default: 0 (gem waits forever)  Min: 0
#GEM_RPCGCI_TIMEOUT = 0;

#=========================================================================
# GEM_SEND_STN_MSGS_VIA_PGSVR :  Specifies whether a remote GEM should
#   send messages to the stone via the gem's page server process.
#   Normally each gem sends messages to the stone via a private socket 
#   connection.  For heavily loaded systems it is less expensive for the
#   stone if messages are sent via the gem's page server.
#
#   Has no effect for gems running on the same host as the stone.  In this
#   case, communication is performed using shared memory.
#                   
# Default: TRUE
#GEM_SEND_STN_MSGS_VIA_PGSVR = TRUE

#=========================================================================
# GEM_SOFTREF_CLEANUP_PERCENT_MEM : controls cleanup of SoftReferences .
# Let "startingMemUsed" be the percentage of temporary object memory in-use
# at the beginning if a VM markSweep .
# If startingMemUsed is less than the value of GEM_SOFTREF_CLEANUP_PERCENT_MEM,
# no SoftReferences will be cleared.  If startingMemUsed is greater than
# GEM_SOFTREF_CLEANUP_PERCENT_MEM and less than 80% , then a varying
# number of least recently used SoftReferences will be cleared,
# but a minimum of GEM_KEEP_MIN_SOFTREFS will not be cleared .
# If startingMemUsed is greater than 80% then  VM markSweep will
# attempt to clear all SoftReferences.
#
# Runtime equivalent: #GemSoftRefCleanupPercentMem
# Default: 50
#   min: 10 max: 80
# GEM_SOFTREF_CLEANUP_PERCENT_MEM = 50 ;

#=========================================================================
# GEM_TEMPOBJ_AGGRESSIVE_STUBBING: controls stubbing in in-memory GC.
#
# If inst var X in object A references object B, and X contains a memory
# pointer to B, then the reference is stubbed by storing into inst var X
# the objectId of object B .
# 
# If GEM_TEMPOBJ_AGGRESSIVE_STUBBING is TRUE, 
# references from temporary objects to in-memory copies
# of committed objects are stubbed whenever possible, during both scavenge
# and markSweep.  Also, references from not-dirty in-memory 
# copies of committed objects  to other committed objects are stubbed
# whenever possible.  This reduces the number of committed objects forced to 
# stay in-memory, but can slow down GC and subsequent execution.
#
# If GEM_TEMPOBJ_AGGRESSIVE_STUBBING is FALSE, 
# references from temporary objects to in-memory copies
# of committed objects are never stubbed. References from not-dirty in-memory 
# copies of committed objects  to other committed objects are stubbed after
# the number of objects flushed during commits reaches a threshold, or
# if almost OutOfMemory.  Many applications will run faster with
# this configuration.  Some applications that ran OK under Gemstone/S
# versions 2G or 6.x may get OutOfMemory under this configuration.
#
# Stubbing is always disabled when a commit attempt is in progress, regardless
# of the setting of this config parameter.
# Certain objects private to the object manager are always immune from stubbing,
# and so are references stored into Session State by using
#  System(c) >> _sessionStateAt:put:  .
#
# If GEM_TEMPOBJ_POMGEN_SIZE is configured to be more than 2 times
# the value of GEM_TEMPOBJ_CACHE_SIZE , then config file values for
# GEM_TEMPOBJ_AGGRESSIVE_STUBBING will be ignored and 
# GEM_TEMPOBJ_AGGRESSIVE_STUBBING will always be set to false, to ensure
# efficient operation of the garbage collector with very large POMGEN .
#
# Default: TRUE
# GEM_TEMPOBJ_AGGRESSIVE_STUBBING=TRUE;


#=========================================================================
# GEM_TEMPOBJ_CACHE_SIZE:  Maximum size of gem temporary object memory 
#  in K Bytes.
#
# This value is set at Gem initialization (linkable GciInit or rpc GciLogin)
# and cannot be changed without restarting the Gem process.  
# This value defines maximum memory sizes. The Gem will get/release
# virtual memory as needed as the actual space required for 
# in-memory objects grows/shrinks .
#
# Default: 10000 
#  min: 2000, max: 2000000 
#GEM_TEMPOBJ_CACHE_SIZE = 10000;

#=========================================================================
# GEM_TEMPOBJ_INITIAL_SIZE  
#
# Has no effect on Solaris and Linux , since those platforms support
#  MAP_NORESERVE on mmap().
#
# No longer used used on AIX , where mmap(MAP_SHARED) and msync are used to
#  allocate/release memory
#
# On HPUX , if less than GEM_TEMPOBJ_CACHE_SIZE, specifies
# the initial amount of memory to allocate with mmap().  When temp obj
# memory is >= 80% full at the end of a mark sweep,  a new memory region
# is allocated with mmap(), contents of previous memory is copied to 
# the new memory, and the previous memory is released with munmap() .
#
# The new memory will be 2 times the size of previous memory if new memory
# would be less than 50% of GEM_TEMPOBJ_CACHE_SIZE, otherwise new memory
# is 1.2 times previous memory, up to a limit of GEM_TEMPOBJ_CACHE_SIZE .
#
# min: 2000 , max GEM_TEMPOBJ_CACHE_SIZE .
# Default is 50% of value of GEM_TEMPOBJ_CACHE_SIZE if GEM_TEMPOBJ_CACHE_SIZE
#  < 100000, otherwise 30% of value of GEM_TEMPOBJ_CACHE_SIZE .
# If the computed default would be less than 2000, 2000 is used.
# A value of -1 means use the computed default.
#
# GEM_TEMPOBJ_INITIAL_SIZE = -1;

#=========================================================================
# GEM_TEMPOBJ_MESPACE_SIZE: Size of the Map Entries space within
# the gem temporary object memory , in K Bytes .
# This value is set at Gem initialization (linkable GciInit or rpc GciLogin)
# and cannot be changed without restarting the Gem process.
#
# If this value is not specified, or the specified value is out of range,
# the default is used.
# The default value of 0 means the space size is calculated based on
# other memory sizes .
#
# One Map Entry is required for each faulted-in
# committed object.  One Map Entry is required for any temporary object
# that might become committed , referenced from an IdentityBag, or
# exported to the GCI . One Map Entry occupies 32 bytes  .
# If a Map Entry is needed and Map Entries Space is full, an OutOfMemory
# will occur, terminating the session .
# Default : 0
#   min: 1000 max: 1000000
# GEM_TEMPOBJ_MESPACE_SIZE = 0

#=========================================================================
# GEM_TEMPOBJ_OOPMAP_SIZE:  Size of the hash table in the objId to object map
#  in gem temporary object memory.  The hash table is completely allocated at GciLogin
#  and consumes 8 bytes per entry.  Entries in the hash table are nil, or
#  pointers to "Map Entries" which are allocated out of the  Map Entries space
#  (see below)
#
# This value is set at Gem initialization (linkable GciInit or rpc GciLogin)
# and cannot be changed without restarting the Gem process.
#
# If this value is not specified, or the specified value is out of range,
# the default is used.    The value specified will be rounded up to the
# next higher power of 2 .
# The default value of 0 means the map is calculated based on memory sizes.
# Default : 0
#   min: 16384 max: 524288000
# GEM_TEMPOBJ_OOPMAP_SIZE = 0;

#=========================================================================
# GEM_TEMPOBJ_POMGEN_SIZE:  Size of pom generation area in 
#   gem temporary object memory, in K Bytes .
# This value is set at Gem initialization (linkable GciInit or rpc GciLogin)
# and cannot be changed without restarting the Gem process.
# The pom generation holds unmodified copies of committed objects that
# have been faulted into a gem, and is divided into 10 subspaces .
# 
# If this value is not specified, or the specified value is out of range,
# the default is used.  
# The default value of 0 means allocated pom generation
# will be approximately 0.8 times GEM_TEMPOBJ_CACHE_SIZE .
# Default : 0 
#   min: 1000 max: 1000000 
# GEM_TEMPOBJ_POMGEN_SIZE = 0;

#=========================================================================
# GEM_TEMPOBJ_POMGEN_PRUNE_ON_VOTE: Percent of pom generation area
#   to be thrown away when voting on possible dead objects.
#   Only subspaces of pom generation older than 5 minutes are thrown away.
#   The most recently used subspace is never thrown away.
#
# If this value is not specified, or the specified value is out of range,
# the default is used.
#
# Runtime equivalent: #GemPomGenPruneOnVote
# Default: 50
#    min: 0  max: 100
# GEM_TEMPOBJ_POMGEN_PRUNE_ON_VOTE = 50;

#=========================================================================
# KEYFILE: location of GemStone licensing keyfile.  Currently only used
# by stone.
# Runtime equivalent: none
# Default: $GEMSTONE/sys/gemstone.key
#KEYFILE = $GEMSTONE/sys/gemstone.key;

#=========================================================================
# LOG_WARNINGS:  Print warnings involving invalid configuration options.
# Default: TRUE
#  Used by all executables
#LOG_WARNINGS = TRUE;

#=========================================================================
# SHR_NUM_FREE_FRAME_SERVERS
#
#   Specifies the number of free frame page server processes that will 
#   be started when the shared page cache is created.  
#
# Default: 1  Min: 0  Max: 30
#
#SHR_NUM_FREE_FRAME_SERVERS = 1;

#=========================================================================
# SHR_PAGE_CACHE_LOCKED : Specifies whether the shared page cache should
#   locked (frozen) in (main) memory. This is a performance related option.
#   On machines where a portion of memory can be dedicated to GemStone, this
#   option will provide higher performance.
#
#   In order for this option to take effect, the user may require special
#   operating system dependent privileges: eg. on HPUX, the user's group
#   must have MLOCK privileges. If the user does not have the privileges,
#   an error message will be logged and the system will continue.
#
# Default: FALSE
#SHR_PAGE_CACHE_LOCKED = FALSE;

#=========================================================================
# SHR_PAGE_CACHE_NUM_PROCS
#
#   Maximum number of processes allowed to attach to the shared cache.  
#   This parameter is used to allocate space in the shared page cache 
#   for session information and cache statistics.
#   This cache space is in addition to extent page space allocated by
#   SHR_PAGE_CACHE_SIZE_KB.  This value must accommodate the GcGems and 
#   various background GS processes, as well as user gem/topaz session 
#   processes.  Using too small a value will result in sessions being 
#   unable to login because they can't attach to the cache, while too 
#   large a value will result in wasted space in the cache.
#
# Default: -1  
#   The default setting causes the system to calculate a reasonable value 
#   for this parameter based on:
#
#           STN_MAX_SESSIONS (for user sessions)
#           + 5 (for stone, pcmon, pagemanager, symbolgem and admingcgem)
#           + STN_NUM_GC_RECLAIM_SESSIONS (for reclaimgcgems)
#           + SHR_NUM_FREE_FRAME_SERVERS (for free frame page servers)
#           + STN_NUM_LOCAL_AIO_SERVERS  (for AIO page servers)
#           + 1 (for statmonitor, just in case)
#           + 1 (to allow stopstone to login)
#
#   While this value should be adequate for most cases, it may still yield
#   session login failures under special cases, such as:
#
#   * first-time startup of a system that needs to create new extents
#   * adding extents dynamically using SystemRepository>>createExtent:
#   * manually starting AIO or free frame page servers
#
#   Also, this value assumes that ALL sessions in the system will be 
#   attaching to this cache.  If your architecture uses remote gem servers 
#   with their own remote caches, you should specify a value for 
#   SHR_PAGE_CACHE_NUM_PROCS using the above calculation but only allocating 
#   space for those processes running on the local/remote host.  For example:
#
#   On stone machine:
#
#           Maximum number of user sessions running on stone machine
#           + 5 (for stone, pcmon, pagemanager, symbolgem, and admingcgem) 
#           + STN_NUM_GC_RECLAIM_SESSIONS (for reclaimgcgems)
#           + SHR_NUM_FREE_FRAME_SERVERS (for free frame page servers)
#           + STN_NUM_LOCAL_AIO_SERVERS  (for AIO page servers)
#
#   On remote machine:
#
#           Maximum number of user sessions running on remote machine
#           + 2 (for pcmon, pgsvr)
#           + SHR_NUM_FREE_FRAME_SERVERS (for free frame page servers)
#
#  
# Minimum:  number of extents (for startup page servers)
#           + 5 (for stone, pcmon, pagemanager, symbolgem and admingcgem)
#           + STN_NUM_GC_RECLAIM_SESSIONS (for reclaimgcgems)
#           + SHR_NUM_FREE_FRAME_SERVERS (for free frame page servers)
#           + STN_NUM_LOCAL_AIO_SERVERS (for AIO page servers)
#
#   While sufficient for starting the stone, the minimum may not
#   allow additional user or GcGem processes to attach to the cache,
#   regardless of the setting of STN_MAX_SESSIONS.
#
# Maximum:  STN_MAX_SESSIONS
#           + 5 (for stone, pcmon, pagemanager, symbolgem and admingcgem)
#           + 256 (maximum possible value for STN_NUM_GC_RECLAIM_SESSIONS)
#           + 30  (maximum possible value for SHR_NUM_FREE_FRAME_SERVERS)
#           + 256 (maximum possible value for STN_NUM_LOCAL_AIO_SERVERS)
#
#  The maximum may be further constrained by file descriptor limits.
#
#  If a value outside the range of minimum/maximum is specified, a warning
#  message will be printed and the value set to the minimum or maximum
#  as appropriate.
#
#SHR_PAGE_CACHE_NUM_PROCS = -1;

#=========================================================================
# SHR_PAGE_CACHE_NUM_SHARED_COUNTERS:  Number of shared counters available
# in the shared page cache.  On most platforms, each counter consumes
# 128 bytes of shared memory.  On AIX, each counter consumes 256 bytes of
# shared memory.  Shared memory used for shared counters is in addition
# to the shared memory size specified in SHR_PAGE_CACHE_SIZE_KB.
#
# Default: 1900 Min: 0 Max: 500000
#SHR_PAGE_CACHE_NUM_SHARED_COUNTERS = 1900;

#=========================================================================
# SHR_PAGE_CACHE_SIZE_KB:  Size of shared page cache in K Bytes.
# Default: 75000, min: 512 
# Maximum: limited by system memory and kernel configurations
#
#SHR_PAGE_CACHE_SIZE_KB = 75000;

#=========================================================================
# SHR_SPIN_LOCK_COUNT :  Specifies the number of tries to get a spin lock
#   before sleeping on a semaphore.  
#   In single processor host architectures, this value should be "1" since 
#   there is no value in spinning (it won't change until the process holding
#   the lock gets scheduled).  On multiple processor host architectures, 
#   the value will need to be tuned (try starting at around 4000).
#
#   The value -1 can be used to indicate that the system should use the
#   correct default (either 1 or 4000) based upon the number of cpu's
#   available on the host. 
# Runtime equivalent: #SpinLockCount
# Default: -1 
#SHR_SPIN_LOCK_COUNT = -1;

#=========================================================================
# SHR_TARGET_FREE_FRAME_COUNT
#
#   Specifies the target number of free frames to keep in the shared cache 
#   at all times. The free frame page server process(es) will attempt to 
#   keep the number of free frames in the cache equal to or greater than 
#   this value. 
#
#   If the value of the parameter is -1, the target free frame count is set
#   to a default value.  For the primary shared cache (the cache to which
#   the stone attaches), the default is 1/8 the frames in the cache for
#   caches up to 400 MB (50,000 frames) in size.  For caches larger than
#   400 MB, the default is 7000 frames.  For remote caches, the default
#   is 1000 frames or one hundredth of the frames in the cache, which
#   ever is smaller.
#
#   For best performance, keep this setting greater than GEM_FREE_FRAME_LIMIT.
#
# Default: -1  Min: -1  Max: 65536
#SHR_TARGET_FREE_FRAME_COUNT = -1;

#=========================================================================
# STN_ADMIN_GC_SESSION_ENABLED
#
# Determines if the administrative garbage collector session is started
# when the stone is started.  This gem performs GC functions such as 
# write set union sweeps.  This session does not perform dead object or
# page reclamation.
#
# Runtime equivalent: #StnAdminGcSessionEnabled
# Default: TRUE
#
#STN_ADMIN_GC_SESSION_ENABLED = TRUE;

#=========================================================================
# STN_AIO_WAIT_TIME    NO longer used, has no effect

#=========================================================================
# STN_ALLOCATE_HIGH_OOPS 
#   If greater than 0, stone will skip the specified number of non-special
#   object identifiers and start allocating object identifiers (GCI OopType's ) 
#   for non-special objects at the specified oopNumber + 1 
#   This is intended for testing conversion of GCI applications and user actions
#   from Gs64 v1.1 to Gs64 v2.0, and should not be used in production.
#   Large values can cause a long delay during the first startstone after
#   the value is changed in the config file.
#
# Cannot be changed at runtime.
# Default: 0  Min: 0 Max: 549755813888 
# STN_ALLOCATE_HIGH_OOPS = 0;

#=========================================================================
# STN_CHECKPOINT_INTERVAL 
#   maximum interval in seconds between checkpoints.  Checkpoints may
#   be written more often, depending on other factors.
# Runtime equivalent: #StnCheckpointInterval
# Default: 300 , Min: 5 , Max: 1800  Units: seconds 
#STN_CHECKPOINT_INTERVAL = 300;

#=========================================================================
# STN_COMMIT_QUEUE_THRESHOLD
#   Determines if the stone defers disposing commit records based on the
#   number of sessions in the commit queue, the run queue, and the SMC
#   queue.  If the size any of these queues is greater than this value, 
#   the stone will defer commit record disposal until all queues have 
#   sizes less than or equal to the value.
#
#   This setting will be ignored if the commit record backlog exceeds
#   the value of STN_CR_BACKLOG_THRESHOLD.
#
#  Runtime equivalent: #StnCommitQueueThreshold
#
# Default: -1 (never defer CR disposal), Min: -1 , Max: 1024
#STN_COMMIT_QUEUE_THRESHOLD = -1;

#=========================================================================
# STN_COMMIT_TOKEN_TIMEOUT
#   Maximum interval in seconds that a session may possess the commit
#   token.  If the session possess the token for longer than this period,
#   the session will be logged off the system and an error message will be
#   written to the stone log.  GcGems (all types) are exempted from this 
#   time out.
#  
# Default: 0 (stone waits forever), Min: 0 , Max: 86400  Units: seconds
#STN_COMMIT_TOKEN_TIMEOUT = 0;

#=========================================================================
# STN_COMMITS_ASYNC
#   Setting this to TRUE causes stone to acknowledge each commit to 
#   the requesting session without waiting for the tranlog writes 
#   for that commit to complete.
#   
# Default: FALSE 
# STN_COMMITS_ASYNC = FALSE;

#=========================================================================
# STN_CR_BACKLOG_THRESHOLD
#   Determines the size of the commit record backlog above which the stone
#   will aggressively dispose commit records.  This setting overrides the
#   deferral of commit record disposal provided by the 
#   STN_COMMIT_QUEUE_THRESHOLD parameter.
#  
#   The default setting of -1 causes stone to use a setting equal to 
#   double the value of STN_MAX_SESSIONS.  A setting of 0 disables this
#   threshold.
#
#  Runtime equivalent: #StnCrBacklogThreshold
#
# Default: -1, Min: -1, Max: 500000
#STN_CR_BACKLOG_THRESHOLD = -1;

#=========================================================================
# STN_DISABLE_LOGIN_FAILURE_LIMIT
# STN_DISABLE_LOGIN_FAILURE_TIME_LIMIT
#
#   Specifies the limits that control when a user account is disabled
#   because they exceeded the STN_DISABLE_LOGIN_FAILURE_LIMIT of failed
#   login attempts within the time in minutes specified by 
#   STN_DISABLE_LOGIN_FAILURE_TIME_LIMIT.  When a user exceeds these
#   limits, the user account is disabled (the system changes the 
#   password on the account to one that is invalid) and a record of 
#   the event is written to the Stone log file.  The user account
#   can only be restored by another user with OtherPassword privileges.
#
# Runtime equivalent: #StnDisableLoginFailureLimit
#                     #StnDisableLoginFailureTimeLimit
# Defaults:
#    STN_DISABLE_LOGIN_FAILURE_LIMIT  15;  Min: 0, Max: 65536
#    STN_DISABLE_LOGIN_FAILURE_TIME_LIMIT 15;  Min: 1, Max: 1440
#
#STN_DISABLE_LOGIN_FAILURE_LIMIT=15;
#STN_DISABLE_LOGIN_FAILURE_TIME_LIMIT=15;

#=========================================================================
# STN_DISKFULL_TERMINATION_INTERVAL
#
#  This configuration parameter specifies how soon the stone should
#  start terminating sessions holding on to the oldest commit record 
#  when the repository free space is below the value set for 
#  STN_FREE_SPACE_THRESHOLD. Such sessions are sent the fatal disk full 
#  error.
#
#  Runtime equivalent: #StnDiskfullTerminationInterval 
#
#  Units: Minutes, Min: 0 (no sessions terminated), Max: 1440) .
#  Default: 3
#STN_DISKFULL_TERMINATION_INTERVAL = 3;

#=========================================================================
# STN_EPOCH_GC_ENABLED
#
#  Determines if epoch garbage collection can be run on the system.
#  Leave this value set to FALSE unless epoch garbage collection will
#  be run on the system.  Setting this to TRUE adds a small amount
#  overhead to commit processing.
# 
#  Runtime equivalent: #StnEpochGcEnabled
#
# Default: FALSE
#STN_EPOCH_GC_ENABLED = FALSE;

#=========================================================================
# STN_FREE_FRAME_CACHE_SIZE
#
#  Determines the size of the stone's free frame cache.  When using the
#  free frame cache, the stone removes enough frames from the free frame
#  list to refill the cache in a single operation.  When adding frames to
#  the free list, the stone will not add them to the list until the free 
#  frame cache is full.
#
#  A value of 0 disables the free frame cache (the gem acquires frames one
#  at a time).  A value of -1 means use the default value.  The default is
#  0 for caches less than 100 MB and 10 for caches of 100 MB or greater
#  size.
#  
# Units: Frames, Min: -1, Max: 63
# Default: -1
#STN_FREE_FRAME_CACHE_SIZE = -1;

#=========================================================================
# STN_FREE_SPACE_THRESHOLD
#   The minimum amount of free space to be available in the repository.
#   If stone cannot maintain this level by growing an extent, it begins
#   to take the following actions to prevent shutdown of the system:
#      1. Becomes more aggressive about disposing commit records.
#      2. Writes a checkpoint if there isn't one in progress.
#      3. Writes message to the stone log
#      4. Prevents new logins except for DataCurator or SystemUser
#      5. Send rtErrFreeSpaceThreshold to sessions logged in as 
#           DataCurator or SystemAdministrator.
#      6. Send each Gem a signal to give up all except 5 unused pages.
#   If free space remains below this level for more than 3 minutes,
#   stone begins processing commands only from DataCurator or SystemUser.
# 
#  Runtime equivalent: #StnFreeSpaceThreshold 
#
#  Units: Megabytes , Min: 0 (no threshold), Max: 65536) .
#  Default: 1
#STN_FREE_SPACE_THRESHOLD = 1;

#=========================================================================
# STN_GEM_ABORT_TIMEOUT
# Time in minutes that stone will wait for a gem running outside of a 
# transaction to abort to release a commit record, after stone has signaled 
# that gem that it should abort.  If the time expires before the gem aborts, 
# the gem will be forcibly aborted by stone; forcible abort means the Gem will 
# receive the error ABORT_ERR_LOST_OT_ROOT, and the gem will have to completely 
# reinitialize its object caches.
# Negative timeouts are not allowed.  
#
# This timeout has a resolution of seconds internally.
# If all sessions referencing a commit record are transactionless , 
# the actual timeout for that commit record will be one fourth of the 
# configured timeout.
#
#  Runtime equivalent: #StnGemAbortTimeout
#  Default: 1 Min: 1  max: 1440
#STN_GEM_ABORT_TIMEOUT = 1;

#=========================================================================
# STN_GEM_LOSTOT_TIMEOUT
#
#   Time in seconds that stone will wait for a gem running outside of a 
#   transaction to respond to a ABORT_ERR_LOST_OT_ROOT error before killing
#   the session.  
#
#   If the value is -1, the stone will not kill the session, but simply 
#   retract the session's commit record.
#   
#   For values > -1, if the session does not respond within this time interval, 
#   the stone will forcibly stop the session and retract the session's 
#   commit record.  If the session fails to notice the forcible stop 
#   it will eventually be killed as described under STN_GEM_TIMEOUT .
#
# Runtime equivalent: #StnGemLostOtTimeout
#
# Default: 60  Min: -1  Max: 5000000
#
#STN_GEM_LOSTOT_TIMEOUT = 60;

#=========================================================================
# STN_GEM_TIMEOUT
#  Time in minutes that Stone will wait for an idle Gem to have some kind of
#  interaction with Stone.  A Gem which has not had any interaction with
#  Stone for this amount of time will be terminated by the Stone.
#  Negative timeouts are not allowed.  Resolution of timeouts
#  is one half the specified timeout interval.   
#
#  Gems in transactionless state with a valid session are immune from this timeout.
#
#  If non-zero this timeout is also the LoginTimeout, the time allowed for a gem
#  to complete processing of its login to stone, or for a session that
#  has been forcibly stopped to notice the stop .
#  If STN_GEM_TIMEOUT is zero , LoginTimeout is set to 5 minutes.
#  A session which fails to notice a forcible stop within LoginTimeout , will
#  have it's gem or topaz -l process killed with a  kill -TERM .
#
#  Runtime equivalent: #StnGemTimeout
#  Default: 0 (stone waits forever) Min: 0 
#STN_GEM_TIMEOUT = 0;

#=========================================================================
# STN_HALT_ON_FATAL_ERR: If TRUE, stone will halt and dump core if it
#   receives a notification from a gem that the gem died with a fatal error.
#   The value FALSE will cause stone to attempt to keep running if
#   a gem encounters a fatal error.
#  Runtime equivalent: #StnHaltOnFatalErr
#  Default: TRUE
#STN_HALT_ON_FATAL_ERR = TRUE;

#=========================================================================
# STN_LOG_LOGIN_FAILURE_LIMIT
# STN_LOG_LOGIN_FAILURE_TIME_LIMIT
#
#   Specifies the limits that control when a message is written to the
#   Stone log file if a users has greater than or equal to the
#   STN_LOG_LOGIN_FAILURE_LIMIT number of login failures within the 
#   time in minutes specified by STN_LOG_LOGIN_FAILURE_TIME_LIMIT.
#
#  Runtime equivalent: #StnLogLoginFailureLimit
#                      #StnLogLoginFailureTimeLimit
# Defaults:
#    STN_LOG_LOGIN_FAILURE_LIMIT  10;  Min: 0, Max: 65536
#    STN_LOG_LOGIN_FAILURE_TIME_LIMIT 10;  Min: 1, Max: 1440
#
#STN_LOG_LOGIN_FAILURE_LIMIT=10;
#STN_LOG_LOGIN_FAILURE_TIME_LIMIT=10;

#=========================================================================
# STN_LOOP_NO_WORK_THRESHOLD
#
# Indicates the maximum number of times the stone will continue executing
# its main service loop when there is no work to do.  If the stone loops 
# more than this number of times and finds no work, the stone will sleep
# for up to 1 second.  The stone will immediately wake up when there is
# any work to be done.
#
# Setting this value to zero disables this feature.  Setting this value to
# a non-zero setting, in addition to causing the above behavior, will
# also cause the stone to not sleep whenever any of the following 
# conditions are true and the no work threshold has not been exceeded:
#      
#    -a session holds the commit token
#    -one or more sessions are waiting in the commit queue
#    -one or more sessions are waiting in the run queue.
#
# Setting this parameter to a non-zero value will always cause the stone
# to consume more CPU.
#
# The stone cache statistic StnLoopNoWorkThreshold shows the current
# value of the parameter.
#
# Default: 0  Min: 0  Max: 536870911
# Run time equivalent: #StnLoopNoWorkThreshold
# STN_LOOP_NO_WORK_THRESHOLD = 0;

#=========================================================================
# STN_MAX_AIO_RATE: The maximum IO rate each AIO page server is
#   allowed when performing asynchronous writes.  Since the IO rate
#   specified is applied to each page server, the total maximum IO rate
#   on the disk system is this value multiplied by
#   STN_NUM_LOCAL_AIO_SERVERS.
#
#   The page servers use this maximum IO rate for both dirty page and
#   checkpoint writes.
#
#  Runtime equivalent: #StnMntMaxAioRate
#
#  Default: 300 , min: 20, max: 2000
#STN_MAX_AIO_RATE = 300;

#=========================================================================
# STN_MAX_AIO_REQUESTS: The maximum number of asynchronous write requests
# the stone can have pending.  If more than this number of asynchronous
# writes are requested, the stone will wait (sleep) until one or more of 
# the pending requests have completed.
#
# Asynchronous write requests are only used to write to the current 
# tranlog.
#
# The maximum value allowed depends on the maximum allowed by the UNIX
# kernel.  The maximum value for this parameter allowed by GemStone is 
# the value of _SC_AIO_MAX or 4096, which ever is lower.  On some systems
# (such as Solaris), it is not possible to determine the value of 
# _SC_AIO_MAX.  In that case, GemStone will impose a maximum value of 128.
# Otherwise the maximum is 4096 or _SC_AIO_MAX, which ever is lower.
# For further information on the _SC_AIO_MAX kernel parameter, refer 
# to the UNIX documentation for your system and/or the UNIX man page for 
# the sysconf() call. 
# 
# Default: 128, min: 100, max: MIN(4096, _SC_AIO_MAX) or 128 (see above)
# STN_MAX_AIO_REQUESTS = 128;

#=========================================================================
# STN_MAX_SESSIONS: limit on number of simultaneous database sessions
#  (number of Gem logins to Stone, excluding SymbolGem and GcGems).  
#  The actual limit used by Stone is the value of this parameter or the 
#  number of sessions specified by the software license key file, whichever
#  is less.  The maximum number of file descriptors per process (imposed 
#  by operating system kernel configuration) can also limit the maximum 
#  number of sessions.
#
#  If you increase STN_MAX_SESSIONS beyond 40, 
#  you may also need to adjust SHR_PAGE_CACHE_NUM_PROCS
#
# Default: 40 , min: 1, max: 10000 
#  Recommended value: 40, unless you are really using more sessions.
#STN_MAX_SESSIONS = 40;

#=========================================================================
# STN_MAX_VOTING_SESSIONS: limit on number of sessions that will
# be simultaneously in voting on possible dead objects, at the
# end of a markForCollection or epoch GC.  Setting this to a
# value substantially lower than STN_MAX_SESSIONS can help prevent
# the voting on possible dead objects from causing large increases in
# response time of the system.
#
# Runtime equivalent: #StnMaxVotingSessions
#
# Default: 100, min: 1, max 1000000
# STN_MAX_VOTING_SESSIONS = 100;

#=========================================================================
# STN_MAX_SLEEP_TIME:   No longer used, has no effect

#=========================================================================
# STN_NUM_GC_RECLAIM_SESSIONS
# Number of page reclaim garbage collector gems which will be started 
# when the stone starts.  The maximum number that can be started is
# equal to the number of extents as specified in DBF_EXTENT_NAMES.  If 
# a value larger than the number of extents is specified, one GC reclaim
# will be started for each extent.
#
# Runtime equivalent: #StnNumGcReclaimSessions
# Default: 1  Min: 0 Max: 256
#STN_NUM_GC_RECLAIM_SESSIONS = 1;

#=========================================================================
# STN_NUM_LOCAL_AIO_SERVERS
# Number of pgsvr processes to start as local async IO servers for the
# shared page cache on stone's machine.
#
# This value cannot exceed the number of extents present in the repository.
#
# Default: 1  Min: 1 Max: 256
#STN_NUM_LOCAL_AIO_SERVERS = 1;

#=========================================================================
# STN_NUM_LOOPS_PER_NET_POLL     No longer used, has no effect.

#=========================================================================
# STN_OBJ_LOCK_TIMEOUT
#
# Time in seconds that a session is allowed to wait to obtain
# one of the special single object write locks.  See  methods
#    waitForRcWriteLock:  
#    waitForApplicationWriteLock:queue:autoRelease: .
# in class System for more details.
#
# Runtime equivalent: #StnObjLockTimeout
# Default: 0 (stone waits forever) Min: 0  Max: 86400
# STN_OBJ_LOCK_TIMEOUT = 0; 

#=========================================================================
# STN_OOB_SOCKET_POLL_INTERVAL  No longer used, has no effect

#=========================================================================
# STN_PAGE_MGR_MAX_WAIT_TIME
#
# Maximum time the stone will defer servicing the page manager session
# because the stone is busy with other tasks.  Normally the stone services
# the page manager session whenever it has idle time and no session is
# performing a commit.  If the time the page manager has been waiting for
# service exceeds this value, the stone will service the page manager
# unconditionally and increment the cache statistic 
# PageManagerStarvedCount.
#
# Runtime equivalent: #StnPageMgrMaxWaitTime
# Units: Milliseconds, Default: 200  Min: 1 Max: 1000
#STN_PAGE_MGR_MAX_WAIT_TIME = 200;

#=========================================================================
# STN_PAGE_REMOVAL_THRESHOLD
#
# Minimum batch size for the page manager system gem.  When the number of
# pages waiting to be processed by page manager is greater than this value,
# then the page manager will request the pages from the stone and process
# them.  Otherwise the page manager will wait until this threshold is
# exceeded before requesting pages from the stone.
#
# The stone cache statistic PagesNeedRemovingThreshold reflects the
# current value of this parameter.
#
# Runtime equivalent: #StnPageRemovalThreshold
#
# Default: 40  Min: 0 Max: 1792
#
#STN_PAGE_REMOVAL_THRESHOLD = 40;

#=========================================================================
# STN_PRIVATE_PAGE_CACHE_KB:  Size of stone private page cache in K Bytes.
# Default: 2000, min: 128, max: 524288 
#   During page audit, the default is 3000 and 
#   the minimum is 5 percent of the shared page cache size.
#
#STN_PRIVATE_PAGE_CACHE_KB = 2000;

#=========================================================================
# STN_REMOTE_CACHE_TIMEOUT
#  Time in minutes after the last active process on a remote host logs out 
#  before Stone shuts down the Shared Page Cache on that host.  
#  Negative timeouts are not allowed.  
#  A timeout value of zero causes the stone shutdown the remote cache
#  as soon as possible.
#   Runtime equivalent: #StnRemoteCacheTimeout
#   Default: 5  Min: 0 Max: 5000000
# STN_REMOTE_CACHE_TIMEOUT = 5;

#=========================================================================
# STN_SHR_TARGET_PERCENT_DIRTY: 
#   Maximum percentage of the stone's shared page cache which can contain
#   dirty pages without AIO page servers increasing their IO rates.
#   
#  Runtime equivalent: #ShrPcTargetPercentDirty
#  Default: 20  Min: 1 Max: 90
#STN_SHR_TARGET_PERCENT_DIRTY = 33;

#=========================================================================
# STN_SIGNAL_ABORT_CR_BACKLOG: number of old transactions, above which
#   stone will start to generate SignalAbort messages to a gem that is
#   running outside of a transaction. 
#  Runtime equivalent: #StnSignalAbortCrBacklog
#  Default: 20
#STN_SIGNAL_ABORT_CR_BACKLOG = 20;

#=========================================================================
# STN_TRAN_FULL_LOGGING
#    If TRUE, all transactions are logged, and log files are not deleted
#  by the system.  A given log file must be archived to tape before that
#  position in the circular list of log directories (STN_TRAN_LOG_DIRECTORIES)
#  is needed again. 
#    If FALSE, only transactions smaller than STN_TRAN_LOG_LIMIT are logged; 
#  larger transactions become checkpoints, and log files are deleted by
#  the system when the circular list of log directories wraps around.
#
#  Once stone has been started on a repository with 
#      STN_TRAN_FULL_LOGGING = TRUE, then the TRUE state
#  will persist in the repository and subsequent changes to this parameter
#  in the config file will be ignored.  To change the repository back to
#  partial logging you must do a full backup and then restore the backup into
#  a copy of $GEMSTONE/bin/extent0.dbf .
#
# Default: NONE, a value must be provided.
# A value for this option is provided at the end of this file.

#=========================================================================
# STN_TRAN_LOG_DEBUG_LEVEL
# For GemStone internal use.  Customers should use default value 0.
# Values >= 2 inhibit removal of old tranlogs when in partial logging mode.
#STN_TRAN_LOG_DEBUG_LEVEL = 0;

#=========================================================================
# STN_TRAN_LOG_DIRECTORIES
#   List of directories or raw disk partitions used for transaction
#   logging.  This list defines the maximum number of log files that will
#   be on-line at once.  
#
#   An individual raw Unix disk partition may only occur once in this list.  
#   A directory may occur multiple times, if the file system containing the
#   directory contains enough space for multiple logs .
#
#   This list must contain at least two entries.
#
#   On UNIX systems, the null device /dev/null may be specified to prevent
#   tranlogs from being written.
#
#   EXTREME CARE SHOULD BE TAKEN WHEN OPERATING THE REPOSITORY IN THIS MODE!!
#
#   If the system crashes while operating in this mode, all
#   transactions after the last completed checkpoint will be
#   lost.
#
# Default: NONE
# A value for this option is provided at the end of this file.

#=========================================================================
# STN_TRAN_LOG_LIMIT
#   When  STN_TRAN_FULL_LOGGING = FALSE, transactions consuming more than 
#    this amount of log file space will be promoted to a checkpoint. 
#  Runtime equivalent: #StnTranLogLimit
#  Default: 1000  Min: 25 Max: 1000  Units: KBytes
#STN_TRAN_LOG_LIMIT = 1000;

#=========================================================================
# STN_TRAN_LOG_PREFIX
#
#   File name prefixes of transaction log files.  A value of "tranlog"
#   will produce filenames tranlog1.dbf, tranlog2.dbf .... etc.
#   for the transaction log files.  (Valid only for log files which
#   are not on raw Unix partitions)
#   
# Default: tranlog
#
#STN_TRAN_LOG_PREFIX = tranlog;

#=========================================================================
# STN_TRAN_LOG_SIZES
#   Maximum size of log files, must have same number of elements as
#   STN_TRAN_LOG_DIRECTORIES.  
#  Units: Megabytes , Min: 3, Max: 16384     (1 Megabyte = 1048576 bytes) .
#  This list must contain at least two entries.
# Default: NONE
# Recommended value >= 100 .
# A value for this option is provided at the end of this file.

#=========================================================================
# STN_TRAN_Q_TO_RUN_Q_THRESHOLD
#   Number of sessions in the commit queue (waiting for the commit token)
#   above which the stone will allow the remaining sessions in the queue
#   to process unions (read old commit records) while waiting for the 
#   commit token. 
#
#   Example: if this parameter is set to 6 and there are 9 sessions in
#   the commit queue, the 3 last sessions will be allowed to process
#   unions while waiting for the token.  If there are 6 or fewer sessions
#   in the queue, no sessions will process unions.
#
#   The first session in the commit queue never processes unions since
#   it will receive the token when the current commit completes.
#
# Runtime equivalent: #StnTranQToRunQThreshold
# Default: 6  Min: 1  Max: 1024
#STN_TRAN_Q_TO_RUN_Q_THRESHOLD=6;

#=========================================================================
# End of Default GemStone Configuration Options
#=========================================================================

#=========================================================================
# Following options _must_ be set for proper database operation; no defaults
# are provided.
#=========================================================================

DBF_EXTENT_NAMES = $GEMSTONE/data/extent0.dbf;
STN_TRAN_FULL_LOGGING = FALSE;
STN_TRAN_LOG_DIRECTORIES = $GEMSTONE/data/, $GEMSTONE/data/;
STN_TRAN_LOG_SIZES = 100, 100;

#=========================================================================
# Options below here have been added, either by the GemStone system
# administrator, or automatically by the database monitor (Stone).
#=========================================================================


